---
lang: en
title: 'API docs: filter.filterbuilder.build'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.filterbuilder.build.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [FilterBuilder](./filter.filterbuilder.md) &gt; [build](./filter.filterbuilder.build.md)

## FilterBuilder.build() method

Return the filter object

**Signature:**

```typescript
build(): Filter<MT>;
```
**Returns:**

[Filter](./filter.filter.md)<!-- -->&lt;MT&gt;


